#############################
# Kubo-CI Develop - C#
#############################

include:
  - remote: "https://gitlab.com/kubozoa/public/kubo-operate/kubo-ci/raw/main/develop/common/artifacts.yml"
  - remote: "https://gitlab.com/kubozoa/public/kubo-operate/kubo-ci/raw/main/develop/common/sca.yml"

# Runner tag
default:
  tags:
    - $KUBO_CI_RUNNER_TAG

variables:
  ##### Module configuration #####
  DEV_CS_IMAGE: "${KUBO_CI_DEVELOP_PY311_IMAGE}"

  ##### Module variables (default values) #####

  # Only for snapshots. If tagged, the CI_COMMIT_TAG is used as the package version.
  DEV_CS_SNAPSHOT_PACKAGE_VERSION: "0.0.1b1"

  ##### SCA Customizations #####
  DEV_SCA_PROJECT_LANG: "cs"
  DEV_SCA_ROOT: ${DEV_CS_ROOT}

# Stages  
stages:
  - lint
  - build
  - sca
  - test
  - package
  - deploy


###################################################################################################################
### Lint ###
###################################################################################################################


###################################################################################################################
### Build ###
###################################################################################################################


###################################################################################################################
### Test ###
###################################################################################################################



###################################################################################################################
### SCA ###
###################################################################################################################

# common/sca.yml


###################################################################################################################
### Package ###
###################################################################################################################



###################################################################################################################
### Deploy ###
###################################################################################################################

